@Madhav-Pandya It looks like there are many versions of freeradius available in the LEDE package repos.
Follow this guide to enable the Lede package repos and then try installing the packages you need.